Red Hat Satellite 5.8: schema upgrade updating rhnsnapshotpackage table with null value for satellite-schema version 5.8.0.42.

Solution Verified - Updated -

Issue

  • Upgrading Satellite-schmea for Red Hat Satellite-5.8 to version 5.8.0.42 fails with below error message in schema-upgrade logs:
 satellite-schema-5.8.0.38-to-satellite-schema-5.8.0.39/001-rhnpackageevr-rhn_pe_v_r_e_uq.sql.postgresql
(1 row)

CREATE FUNCTION
DROP TRIGGER
psql:/var/log/spacewalk/schema-upgrade/20180428-141010-script.sql:1761: ERROR:  null value in column "nevra_id" violates not-null constraint
DETAIL:  Failing row contains (XXX, null).
CONTEXT:  SQL statement "update rhnsnapshotpackage set nevra_id = nevra_orig.id where nevra_id = nevra_dup.id"
PL/pgSQL function fix_rhn_pe_v_r_e_uq() line 28 at SQL statement

Environment

  • Red Hat Satellite 5.8
  • Satellite-schema-5.8.0.42-1.el6sat

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase of over 48,000 articles and solutions.

Current Customers and Partners

Log in for full access

Log In